# Settings

Some of pikepdf’s global parameters can be tuned.

pikepdf.settings.get_decimal_precision() → int

  Get the number of decimal digits to use when converting floats.

pikepdf.settings.set_decimal_precision(arg0: int) → int

  Set the number of decimal digits to use when converting floats.

pikepdf.settings.set_flate_compression_level(arg0: int) → int

  Set the compression level whenever the Flate compression algorithm is used.

  Parameters:

    level – -1 (default), 0 (no compression), 1 to 9 (increasing compression)